PACTREE(8)

NAME
pactree - package dependency tree viewer

SYNOPSIS

pactree [options] package

DESCRIPTION

Pactree produces a dependency tree for a package.

By default a tree like output is generated, but with the -g option a graphviz description is generated.

OPTIONS

-a, --ascii
    Use ascii characters for tree formatting. By default, pactree will use unicode line drawing characters if it is able to detect that the locale supports them.

-b, --dbpath
    Specify an alternative database location.

-c, --color
    Colorize output.

-d, --depth <num>
    Limits the number of levels of dependency to show. A zero means show the named package only, one shows the packages that are directly required.

-g, --graph
    Generate graphviz description. If this option is given, the -c and -l options are ignored.

-h, --help
    Output syntax and command line options.

-l, --linear
    Prints package names at the start of each line, one per line.

-r, --reverse
    Show packages that depend on the named package.

-s, --sync
    Read package data from sync databases instead of local database.

-u, --unique
    List dependent packages once. Implies --linear.

--config <file>
    Specify an alternate pacman configuration file.

SEE ALSO

pacman(8), pacman.conf(5), makepkg(8)

See the pacman website at https://www.archlinux.org/pacman/ for current information on pacman and its related tools.

BUGS

Bugs? You must be kidding, there are no bugs in this software. But if we happen to be wrong, send us an email with as much detail as possible to pacman-dev@archlinux.org.

AUTHORS

Current maintainers:

    • Allan McRae <allan@archlinux.org>

    • Dan McGee <dan@archlinux.org>

    • Dave Reisner <dreisner@archlinux.org>

Past major contributors:

    • Judd Vinet <jvinet@zeroflux.org>

    • Aurelien Foret <aurelien@archlinux.org>

    • Aaron Griffin <aaron@archlinux.org>

    • Xavier Chantry <shiningxc@gmail.com>

    • Nagy Gabor <ngaba@bibl.u-szeged.hu>

For additional contributors, use git shortlog -s on the pacman.git repository.